Package org.eclipse.rdf4j.benchmark.rio.util

## Class BlackHoleRDFHandler

- java.lang.Object
- - org.eclipse.rdf4j.benchmark.rio.util.BlackHoleRDFHandler

- All Implemented Interfaces:
    `RDFHandler`

      public class BlackHoleRDFHandler
      extends Object
      implements RDFHandler

  Empty RDF Handler that provides a `Statement` consumer that can be used with JMH BlackHole to avoid JVM (JIT Compiler) optimizations
  Author:
    Tomas Kovachev t.kovachev1996@gmail.com

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BlackHoleRDFHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `endRDF()` | Signals the end of the RDF data.
    `void` | `handleComment​(String s)` | Handles a comment.
    `void` | `handleNamespace​(String s, String s1)` | Handles a namespace declaration/definition.
    `void` | `handleStatement​(Statement statement)` | Handles a statement.
    `void` | `setBlackHoleConsumer​(Consumer<Statement> blackHoleConsumer)` |
    `void` | `startRDF()` | Signals the start of the RDF data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlackHoleRDFHandler

          public BlackHoleRDFHandler()

  - ### Method Detail

    - #### startRDF

          public void startRDF()
                        throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Signals the start of the RDF data. This method is called before any data is reported.
      Specified by:
        `startRDF` in interface `RDFHandler`
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### endRDF

          public void endRDF()
                      throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Signals the end of the RDF data. This method is called when all data has been reported.
      Specified by:
        `endRDF` in interface `RDFHandler`
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### handleNamespace

          public void handleNamespace​(String s,
                                      String s1)
                               throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Handles a namespace declaration/definition. A namespace declaration associates a (short) prefix string with the namespace's URI. The prefix for default namespaces, which do not have an associated prefix, are represented as empty strings.
      Specified by:
        `handleNamespace` in interface `RDFHandler`
      Parameters:
        `s` - The prefix for the namespace, or an empty string in case of a default namespace.
        `s1` - The URI that the prefix maps to.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### handleStatement

          public void handleStatement​(Statement statement)
                               throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Handles a statement.
      Specified by:
        `handleStatement` in interface `RDFHandler`
      Parameters:
        `statement` - The statement.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### handleComment

          public void handleComment​(String s)
                             throws RDFHandlerException

      Description copied from interface: `RDFHandler`
      Handles a comment.
      Specified by:
        `handleComment` in interface `RDFHandler`
      Parameters:
        `s` - The comment.
      Throws:
        `RDFHandlerException` - If the RDF handler has encountered an unrecoverable error.

    - #### setBlackHoleConsumer

          public void setBlackHoleConsumer​(Consumer<Statement> blackHoleConsumer)